Request

Endpoint: !RetryCAACheck

https://secure.trust-provider.com/products/!RetryCAACheck

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Rate limit: 1 request per 10 minutes.

Request parameters

The following table lists the required, optional, and conditional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

Your account username.

This value is case sensitive.

loginPassword

required

string

128 chars

Your account password.

This value is case sensitive.

certificateID

conditional

integer

16 digits

The internal certificate ID of the SSL certificate.

Either certificateID or orderNumber must be provided.

orderNumber

conditional

string

128 chars

The order number of a Wildcard SSL certificate ordered previously using AutoApplySSL.

Either certificateID or orderNumber must be provided.

Sample request

curl --location 'https://secure.trust-provider.com/products/!RetryCAACheck' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'certificateID=certificate_id'

Response

The request is successful when the server returns a response with the error code 0.

Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.

The response is formatted in x-www-form-urlencoded format.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

A numeric code that identifies the type of error. For more information, see Error codes.

errorMessage

A description of the error.

Sample success response

errorCode=0&errorMessage=CAA Check successfully relaunched

Sample error response

errorCode=-296&errorMessage=Wrong certificate state

Error codes

The following table outlines error responses returned by the RetryCAACheck API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

Unrecognised argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Permission denied!<reason>

The user does not have permission for the requested context.

This error code is set for authorization errors.

-17

Request used GET rather than POST!

The request method should be POST.

-96

Permission denied! <reason>

The user does not have permission for the requested context.

This error code is set for the user who is not Active or not allowed to work with the given certificate.

-295

The minimum time between checks has not expired yet!

The request cannot be processed yet due to rate limiting.

There is a time limit between API calls, by default it is 10 minutes.

-296

Wrong certificate state

Only the certificates in the PRE-SIGN FAILED!!! state are allowed to be checked.

-297

Retry CAA Check unsuccessful

The CAA check could not be retried successfully.

-298

No data for given certificateID found

The request could not be processed because no data was found for the specified certificate ID.

-299

An unknown error occurred while CAA Check Retry!

The request could not be processed due to an unknown error.